OGRE-Next: Ogre::SimplePageContentCollection Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Attributes | List of all members
Ogre::SimplePageContentCollection Class Reference
Components

Specialisation of PageContentCollection which just provides a simple list of PageContent instances. More...

`#include <OgreSimplePageContentCollection.h>`

Inheritance diagram for Ogre::SimplePageContentCollection:
[legend]

## Public Types
typedef vector< PageContent * >::type | ContentList

## Public Member Functions
| SimplePageContentCollection (PageContentCollectionFactory *creator)
| ~SimplePageContentCollection ()
virtual PageContent * | createContent (const String &typeName)
| Create a new PageContent within this collection.
virtual void | destroyContent (PageContent *coll)
| Destroy a PageContent within this page.
virtual void | frameEnd (Real timeElapsed)
| Called when the frame ends.
virtual void | frameStart (Real timeSinceLastFrame)
| Called when the frame starts.
virtual const ContentList & | getContentList () const
| Get const access to the list of content.
void | load ()
| Load - will be called in main thread.
virtual void | notifyCamera (Camera *cam)
| Notify a section of the current camera.
bool | prepare (StreamSerialiser &stream)
| Prepare data - may be called in the background.
virtual void | save (StreamSerialiser &stream)
| Save the collection to a stream.
void | unload ()
| Unload - will be called in main thread.
void | unprepare ()
| Unprepare data - may be called in the background.
Public Member Functions inherited from Ogre::PageContentCollection
| PageContentCollection (PageContentCollectionFactory *creator)
virtual | ~PageContentCollection ()
virtual void | _notifyAttached (Page *parent)
| Internal method to notify a collection that it is attached.
PageManager * | getManager () const
Page * | getParentPage () const
SceneManager * | getSceneManager () const
virtual const String & | getType () const
| Get the type of the collection, which will match it's factory.

## Static Public Attributes
static const uint32 | SUBCLASS_CHUNK_ID
static const uint16 | SUBCLASS_CHUNK_VERSION
Static Public Attributes inherited from Ogre::PageContentCollection
static const uint32 | CHUNK_ID
static const uint16 | CHUNK_VERSION

## Detailed Description

Specialisation of PageContentCollection which just provides a simple list of PageContent instances.

  The data format for this in a file is:
  SimplePageContentCollectionData (Identifier 'SPCD')
  [Version 1]

  Name | Type | Description
  Nested contents | Nested chunk list | A sequence of nested PageContent chunks

The documentation for this class was generated from the following file:

- OgreSimplePageContentCollection.h